Bug 462421 - Can't import saved password from seamonkey
Can't import saved password from seamonkey
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.7
i386 Linux
low Severity low
: rc
: ---
Assigned To: Kai Engert (:kaie)
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 23:44 EDT by lihuang
Modified: 2009-03-02 21:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 11:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (24.16 KB, image/png)
2008-09-23 02:43 EDT, lihuang
no flags Details

  None (edit)
Description lihuang 2008-09-15 23:44:50 EDT
Description of problem:
Can't import saved password from seamonkey

Version-Release number of selected component (if applicable):
firefox-3.0.2-2.el4.i386
seamonkey-1.0.9-25.el4.i386

How reproducible:
Everytime

Steps to Reproduce:
1.launch seamonkey.
2.Go to http://www.gmail.com/, login and save password .
3.launch firefox, click 'Tools > Clear Private Data ' to clear previous saved password.
4.Click 'File > Import ' to import the saved password.
5.Go to 'Edit > Preferences', then select Security tab 
6.Click on 'Saved Passwords' button.



  
Actual results:
the saved password did not migrate to firefox.

Expected results:
After step6,the password should be showed in the password list.

Additional info:
Comment 1 Martin Stransky 2008-09-16 03:07:57 EDT
Hm, it really doesn't work....
Comment 4 Kai Engert (:kaie) 2008-09-19 01:09:23 EDT
I don't have ideas yet.
We should test whether it happens with upstream versions, too (or is specific to Red Hat builds).

When you run into the failure, does the error console show anything that might seem related?
Comment 5 lihuang 2008-09-19 02:19:47 EDT
Hi,Kai.  I got the following message from error console

Error: uncaught exception: [Exception... "Component returned failure code: 0xbffe8270 [nsIBrowserProfileMigrator.migrate]"  nsresult: "0xbffe8270 (<unknown>)"  location: "JS frame :: chrome://browser/content/migration/migration.js :: anonymous :: line 367"  data: no]
Comment 6 lihuang 2008-09-23 02:42:33 EDT
Have a try to import data from opera on RHEL5:
 firefox-3.0.2-3.el5
 opera-9.52-2091.gcc4.shared.qt3

then  I have two question:
1 .there is no import password option in the import wizard ( see the screen-shot )
while from the firefox menu reference,it says * Opens the Import Wizard dialog, which allows you to import preferences, bookmarks, history, passwords and other data from browsers like Microsoft Internet Explorer, Netscape, Mozilla or Opera. *
and I got the following output from terminal:
*** about to copy smart keywords
*** done copying smart keywords

2. cookies also can not be imported.
Comment 7 lihuang 2008-09-23 02:43:40 EDT
Created attachment 317436 [details]
screen shot
Comment 8 Matěj Cepl 2008-09-24 11:43:46 EDT
We filed this bug in the upstream database (https://bugzilla.redhat.com/show_bug.cgi?id=462421) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 9 David Ye 2009-03-02 21:08:42 EST
It also does not work on RHEL4:
firefox-3.0.7-1.el4
SeaMonkey-1.0.9-37.el4

Note You need to log in before you can comment on or make changes to this bug.